Package org.elasticsearch.xpack.sql.jdbc

# Class EsDataSource

java.lang.Object
org.elasticsearch.xpack.sql.jdbc.EsDataSource

All Implemented Interfaces:
  `java.sql.Wrapper`, `javax.sql.CommonDataSource`, `javax.sql.DataSource`

    public class EsDataSource
    extends java.lang.Object
    implements javax.sql.DataSource, java.sql.Wrapper

Factory for connections to Elasticsearch SQL.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`EsDataSource()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.sql.Connection` | `getConnection()` |
`java.sql.Connection` | `getConnection​(java.lang.String username, java.lang.String password)` |
`int` | `getLoginTimeout()` |
`java.io.PrintWriter` | `getLogWriter()` |
`java.util.logging.Logger` | `getParentLogger()` |
`java.util.Properties` | `getProperties()` |
`java.lang.String` | `getUrl()` |
`boolean` | `isWrapperFor​(java.lang.Class<?> iface)` |
`void` | `setLoginTimeout​(int seconds)` |
`void` | `setLogWriter​(java.io.PrintWriter out)` |
`void` | `setProperties​(java.util.Properties props)` |
`void` | `setUrl​(java.lang.String url)` |
`<T> T` | `unwrap​(java.lang.Class<T> iface)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`createShardingKeyBuilder`

### Methods inherited from interface javax.sql.DataSource

`createConnectionBuilder`

## Constructor Details

### EsDataSource

public EsDataSource()

## Method Details

### getLogWriter

public java.io.PrintWriter getLogWriter() throws java.sql.SQLException

Specified by:
  `getLogWriter` in interface `javax.sql.CommonDataSource`
Specified by:
  `getLogWriter` in interface `javax.sql.DataSource`
Throws:
  `java.sql.SQLException`

### setLogWriter

public void setLogWriter​(java.io.PrintWriter out) throws java.sql.SQLException

Specified by:
  `setLogWriter` in interface `javax.sql.CommonDataSource`
Specified by:
  `setLogWriter` in interface `javax.sql.DataSource`
Throws:
  `java.sql.SQLException`

### setLoginTimeout

public void setLoginTimeout​(int seconds) throws java.sql.SQLException

Specified by:
  `setLoginTimeout` in interface `javax.sql.CommonDataSource`
Specified by:
  `setLoginTimeout` in interface `javax.sql.DataSource`
Throws:
  `java.sql.SQLException`

### getLoginTimeout

public int getLoginTimeout() throws java.sql.SQLException

Specified by:
  `getLoginTimeout` in interface `javax.sql.CommonDataSource`
Specified by:
  `getLoginTimeout` in interface `javax.sql.DataSource`
Throws:
  `java.sql.SQLException`

### getParentLogger

public java.util.logging.Logger getParentLogger() throws java.sql.SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `javax.sql.CommonDataSource`
Throws:
  `java.sql.SQLFeatureNotSupportedException`

### getUrl

public java.lang.String getUrl()

### setUrl

public void setUrl​(java.lang.String url)

### getProperties

public java.util.Properties getProperties()

### setProperties

public void setProperties​(java.util.Properties props)

### getConnection

public java.sql.Connection getConnection() throws java.sql.SQLException

Specified by:
  `getConnection` in interface `javax.sql.DataSource`
Throws:
  `java.sql.SQLException`

### getConnection

public java.sql.Connection getConnection​(java.lang.String username, java.lang.String password) throws java.sql.SQLException

Specified by:
  `getConnection` in interface `javax.sql.DataSource`
Throws:
  `java.sql.SQLException`

### isWrapperFor

public boolean isWrapperFor​(java.lang.Class<?> iface) throws java.sql.SQLException

Specified by:
  `isWrapperFor` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

### unwrap

public <T> T unwrap​(java.lang.Class<T> iface) throws java.sql.SQLException

Specified by:
  `unwrap` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`